Issue certificates on blockchain


#1

When I am running the following command
bash-4.3# cert-issuer -c /etc/cert-issuer/conf.ini

I am getting the error-
Traceback (most recent call last):

File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 583, in _build_master

ws.require(__requires__)

File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 900, in require

needed = self.resolve(parse_requirements(requirements))

File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 791, in resolve

raise VersionConflict(dist, req).with_context(dependent_req)

pkg_resources.ContextualVersionConflict: (jsonschema 3.0.1 (/usr/lib/python3.6/site-packages), Requirement.parse(‘jsonschema<3.0.0,>=2.5.1’), {‘connexion’})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File “/usr/bin/cert-issuer”, line 6, in <module>

from pkg_resources import load_entry_point

File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 3191, in <module>

@_call_aside

File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 3175, in _call_aside

f(*args, **kwargs)

File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 3204, in _initialize_master_working_set

working_set = WorkingSet._build_master()

File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 585, in _build_master

return cls._build_from_requirements(__requires__)

File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 598, in _build_from_requirements

dists = ws.resolve(reqs, Environment())

File “/usr/lib/python3.6/site-packages/pkg_resources/init.py”, line 791, in resolve

raise VersionConflict(dist, req).with_context(dependent_req)

pkg_resources.ContextualVersionConflict: (jsonschema 3.0.1 (/usr/lib/python3.6/site-packages), Requirement.parse(‘jsonschema<3.0.0,>=2.5.1’), {‘connexion’})

How can I fix this ?


#2

Hey Praveena,

I am also learning to use Blockcerts and I faced the same issue while using the regtest mode. I am not familiar enough with the base code or python dependency management to properly debug this.

However, I’ve found a workaround that allowed me to overcome the exception

  1. Open /cert-issuer/requirements.txt
  2. Delete the first line (it should be cert-core>=2.1.9)
  3. Run pip install .

Once it says Successfully installed cert-issuer-2.0.15, you can re-issue the command cert-issuer -c /etc/cert-issuer/conf.ini

It works smoothly in my case and I finally get: Your Blockchain Certificates are in /etc/cert-issuer/data/blockchain_certificates.

I know this is not a solution and I don’t know what it implies but it is interesting that the exception is not raised when I am in testnet. I would assume that the bug comes from the dependency management.

Cheers.


#3

An alternate solution is described in the git issues for the cert-issuer repository: